libzypp: zypp::ResPoolProxy::Impl Struct Reference

libzypp 17.36.6

Public Types | Public Member Functions | Static Public Member Functions | Private Attributes | Friends | Related Symbols | List of all members
zypp::ResPoolProxy::Impl Struct Reference

ResPoolProxy implementation. More...

## Public Types
using | SelectableIndex = std::unordered_map<sat::detail::IdType, ui::Selectable::Ptr>
using | const_iterator = ResPoolProxy::const_iterator

## Public Member Functions
| Impl ()
| Impl (ResPool &&pool_r, const pool::PoolImpl &poolImpl_r)
ui::Selectable::Ptr | lookup (const pool::ByIdent &ident_r) const
bool | empty () const
size_type | size () const
const_iterator | begin () const
const_iterator | end () const
bool | empty (const ResKind &kind_r) const
size_type | size (const ResKind &kind_r) const
const_iterator | byKindBegin (const ResKind &kind_r) const
const_iterator | byKindEnd (const ResKind &kind_r) const
size_type | knownRepositoriesSize () const
repository_iterator | knownRepositoriesBegin () const
repository_iterator | knownRepositoriesEnd () const
void | saveState () const
void | saveState (const ResKind &kind_r) const
void | restoreState () const
void | restoreState (const ResKind &kind_r) const
bool | diffState () const
bool | diffState (const ResKind &kind_r) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Private Attributes
ResPool | _pool
SelectablePool | _selPool
SelectableIndex | _selIndex

## Friends
std::ostream & | operator<< (std::ostream &str, const Impl &obj)
std::ostream & | dumpOn (std::ostream &str, const Impl &obj)

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const ResPoolProxy::Impl &obj)
| Stream output.
std::ostream & | dumpOn (std::ostream &str, const ResPoolProxy::Impl &obj)
| Verbose stream output.

## Detailed Description

ResPoolProxy implementation.

Todo
  Seedup as it is still using old index

Definition at line 92 of file ResPoolProxy.cc.

## Member Typedef Documentation

## ◆ SelectableIndex

using zypp::ResPoolProxy::Impl::SelectableIndex = std::unordered_map<sat::detail::IdType, ui::Selectable::Ptr>

Definition at line 97 of file ResPoolProxy.cc.

## ◆ const_iterator

using zypp::ResPoolProxy::Impl::const_iterator = ResPoolProxy::const_iterator

Definition at line 98 of file ResPoolProxy.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::ResPoolProxy::Impl::Impl | ( |  | ) |
| inline

Definition at line 101 of file ResPoolProxy.cc.

## ◆ Impl() [2/2]

zypp::ResPoolProxy::Impl::Impl | ( | ResPool && | pool_r,
|  | const pool::PoolImpl & | poolImpl_r )
| inline

Definition at line 105 of file ResPoolProxy.cc.

## Member Function Documentation

## ◆ lookup()

ui::Selectable::Ptr zypp::ResPoolProxy::Impl::lookup | ( | const pool::ByIdent & | ident_r | ) | const
| inline

Definition at line 134 of file ResPoolProxy.cc.

## ◆ empty() [1/2]

bool zypp::ResPoolProxy::Impl::empty | ( |  | ) | const
| inline

Definition at line 143 of file ResPoolProxy.cc.

## ◆ size() [1/2]

size_type zypp::ResPoolProxy::Impl::size | ( |  | ) | const
| inline

Definition at line 146 of file ResPoolProxy.cc.

## ◆ begin()

const_iterator zypp::ResPoolProxy::Impl::begin | ( |  | ) | const
| inline

Definition at line 149 of file ResPoolProxy.cc.

## ◆ end()

const_iterator zypp::ResPoolProxy::Impl::end | ( |  | ) | const
| inline

Definition at line 152 of file ResPoolProxy.cc.

## ◆ empty() [2/2]

bool zypp::ResPoolProxy::Impl::empty | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 156 of file ResPoolProxy.cc.

## ◆ size() [2/2]

size_type zypp::ResPoolProxy::Impl::size | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 159 of file ResPoolProxy.cc.

## ◆ byKindBegin()

const_iterator zypp::ResPoolProxy::Impl::byKindBegin | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 162 of file ResPoolProxy.cc.

## ◆ byKindEnd()

const_iterator zypp::ResPoolProxy::Impl::byKindEnd | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 165 of file ResPoolProxy.cc.

## ◆ knownRepositoriesSize()

size_type zypp::ResPoolProxy::Impl::knownRepositoriesSize | ( |  | ) | const
| inline

Definition at line 169 of file ResPoolProxy.cc.

## ◆ knownRepositoriesBegin()

repository_iterator zypp::ResPoolProxy::Impl::knownRepositoriesBegin | ( |  | ) | const
| inline

Definition at line 172 of file ResPoolProxy.cc.

## ◆ knownRepositoriesEnd()

repository_iterator zypp::ResPoolProxy::Impl::knownRepositoriesEnd | ( |  | ) | const
| inline

Definition at line 175 of file ResPoolProxy.cc.

## ◆ saveState() [1/2]

void zypp::ResPoolProxy::Impl::saveState | ( |  | ) | const
| inline

Definition at line 180 of file ResPoolProxy.cc.

## ◆ saveState() [2/2]

void zypp::ResPoolProxy::Impl::saveState | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 183 of file ResPoolProxy.cc.

## ◆ restoreState() [1/2]

void zypp::ResPoolProxy::Impl::restoreState | ( |  | ) | const
| inline

Definition at line 186 of file ResPoolProxy.cc.

## ◆ restoreState() [2/2]

void zypp::ResPoolProxy::Impl::restoreState | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 189 of file ResPoolProxy.cc.

## ◆ diffState() [1/2]

bool zypp::ResPoolProxy::Impl::diffState | ( |  | ) | const
| inline

Definition at line 192 of file ResPoolProxy.cc.

## ◆ diffState() [2/2]

bool zypp::ResPoolProxy::Impl::diffState | ( | const ResKind & | kind_r | ) | const
| inline

Definition at line 195 of file ResPoolProxy.cc.

## ◆ nullimpl()

static shared_ptr< Impl > zypp::ResPoolProxy::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 205 of file ResPoolProxy.cc.

## Friends And Related Symbol Documentation

## ◆ operator<< [1/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Impl & | obj )
| friend

## ◆ dumpOn [1/2]

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const Impl & | obj )
| friend

## ◆ operator<<() [2/2]

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ResPoolProxy::Impl & | obj )
| related

Stream output.

Definition at line 214 of file ResPoolProxy.cc.

## ◆ dumpOn() [2/2]

std::ostream & dumpOn | ( | std::ostream & | str,
|  | const ResPoolProxy::Impl & | obj )
| related

Verbose stream output.

Definition at line 230 of file ResPoolProxy.cc.

## Member Data Documentation

## ◆ _pool

ResPool zypp::ResPoolProxy::Impl::_pool
| private

Definition at line 199 of file ResPoolProxy.cc.

## ◆ _selPool

SelectablePool zypp::ResPoolProxy::Impl::_selPool
| mutableprivate

Definition at line 200 of file ResPoolProxy.cc.

## ◆ _selIndex

SelectableIndex zypp::ResPoolProxy::Impl::_selIndex
| mutableprivate

Definition at line 201 of file ResPoolProxy.cc.

The documentation for this struct was generated from the following file:

- zypp/ResPoolProxy.cc